#!/bin/bash
# ensures consistent audio metadata in Dragon Ball MKVs
mkdir edited
for file in *.mkv; do
    ffmpeg -i $file -map 0 \
    -metadata:s:a:0 language=eng -metadata:s:a:0 title="English" \
    -metadata:s:a:1 language=jpn -metadata:s:a:1 title="Japanese" \
    -c copy ./edited/$file
done

